#pragma once


class CFtCtrl;
class CFtI2C
{
public:
	CFtI2C(void);
	~CFtI2C(void);

	void Open(int ftIndex, int baud, int bitSCL_O, int bitSDA_O, int bitSDA_I);
	void Close();
	BOOL IsOpen();
	void SetSCL(BOOL bHigh);
	void SetSDA(BOOL bHigh);
	void Commit(CByteArray* pDst = NULL);
	void BeginTransmission(BYTE byAddr, BOOL bRead);
	void EndTransmission();
	void SendByte(BYTE byData, BOOL bAck);
	void ReadBytes(int len);

private:
	int			m_nBitSCL_O;
	int			m_nBitSDA_O;
	int			m_nBitSDA_I;
	int			m_nReadStart;		// MoCg̊Jnʒu
	CByteArray	m_abySendBuf;		// Mf[^obt@
	BYTE		m_byPort;			// ݂̃|[g
	CFtCtrl		m_ft;
};

